Correct the highlighted errors and try again.NNMi Device Driver Pack on Linux

HI team,
I need to see what version of NNMi Device Driver Pack I have on my server, what is the command to view this version?
With "nmshotfix.ovpl -L" it won't let me see it.
Who can help me ?

Antonio

Parents
  • Hi,

    There are many way!

    1. /opt/OV/support/nnmprintextensionverinfo.ovpl

    It wont run if ovjboss is not up

    2. rpm -qa | grep DevExt

    3. cat /var/opt/OV/HPNmsDevExtVersionIn

  • Hi Eugene,

    first of all sorry for the mistake in the title,

    thanks for the instructions, i could check the ddp version of my product.

    I have NNMi 10.21.964
    Patch NNM: NNM1020_00007 in Application Failover, on Red Hat Enterprise Linux Server version 7.8 (Maipo).
    Is the DDP installation procedure the same for the HA environment?

    But I tried to install the DDP November 2020 on the testing server which has no redundancy, it is a single server and I have neither HA nor AF, after installing the DDP 11_2020 it gave me this output:

    [root@sflnx000052 PerLinux]# ./InstallContentPack
    Tue Dec 22 16:40:24 CET 2020 :: INFO: NNMi version : 10.20.280,10.21.481,10.21.566,10.21.649,10.21.823,10.21.964,10.21.998
    Tue Dec 22 16:40:24 CET 2020 :: ERROR: This content pack is valid for NNMi version 10.30 and above. Aborting device extension pack installation.

    Does this mean that DDP 11_2020 is not compatible with NNMi 10:21?
    Which DDP should I put on my production NNMi then?
    (p.s. on production NNMi I have patch 7, while on testing I have patch 10).

    thank you in advance

    Antonio Perrino

     

     

  • Hi Antonio,

    That depends on the version of DCP - I have looked on March 2019 - it requires 10.20 patch10.

    BR,

     

     

  • Hi Eugene,
    and if I put the DDP November 2019 do I have to install patch 10 first?
    Regarding the question I asked you in the previous message, in the production environment I have a server in active and one in standby, an environment in Application Failover, the DDP, which is November 2019 or earlier, must it be installed on both servers?
    I await your advice

    Antonio

  • Verified Answer

    Hi Antanio,

    Nov 2019 wants to have patch 3 for 10.20.

    When NNMi is in AF, that is matter of taste how do you deploy DCP, actually. Of course the simplest answer that is you have to follow the known procedure of stopping station membership in cluster, installing the patch on both systems. But really, if you have got an idea how the replicator has been set, you may install it on active box, replicator will sync the content of the /deploy folder where all jar files are going. Supported way is the first mentioned, of course.

    BR,

Reply
  • Verified Answer

    Hi Antanio,

    Nov 2019 wants to have patch 3 for 10.20.

    When NNMi is in AF, that is matter of taste how do you deploy DCP, actually. Of course the simplest answer that is you have to follow the known procedure of stopping station membership in cluster, installing the patch on both systems. But really, if you have got an idea how the replicator has been set, you may install it on active box, replicator will sync the content of the /deploy folder where all jar files are going. Supported way is the first mentioned, of course.

    BR,

Children
  • Hi Eugene,


    >Nov 2019 wants to have patch 3 for 10.20
      perfect, I have patch 7 on version 10:21

    >When NNMi is in AF, that is matter of taste how do you deploy DCP, actually. Of course the simplest answer that is you have to follow the known procedure of stopping station membership in cluster, installing the patch on both systems.
      I deactivate the cluster and first install on the standBy node, then I stop the active node and I also install   the DDP there, then if I have time available I also install patch 10.

    Thank you so much

     

    Antonio Perrino